View Issue Details

IDProjectCategoryView StatusLast Update
0005701Kali Linux[All Projects] Kali Package Bugpublic2019-10-02 16:46
Reporterfl0 Assigned Torhertzog  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.3 
Target VersionFixed in Version2019.4 
Summary0005701: kali-linux-default metapackage still depends on deprecated python-scapy.
Descriptionpython-scapy (python2 package) is deprecated now:
- https://tracker.debian.org/news/1063380/accepted-scapy-243-1-source-into-unstable/
- https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=938439

kali-linux-default should depend on python3-scapy now.

Activities

fl0

2019-09-19 05:25

reporter   ~0011126

root@kali:~# apt install python3-scapy
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  python-pyqt5 python-pyx
Use 'apt autoremove' to remove them.
Suggested packages:
  python3-pyx
The following packages will be REMOVED:
  dhcpig fern-wifi-cracker ghost-phisher kali-linux-default kali-linux-everything kali-linux-large kali-tools-802-11 kali-tools-information-gathering kali-tools-social-engineering kali-tools-vulnerability
  kali-tools-wireless python-scapy wifitap wol-e
The following NEW packages will be installed:
  python3-scapy
0 upgraded, 1 newly installed, 14 to remove and 0 not upgraded.
Need to get 695 kB of archives.
After this operation, 1,970 kB disk space will be freed.
Do you want to continue? [Y/n]

rhertzog

2019-09-19 14:33

administrator   ~0011132

I reintroduced python-scapy in Debian and made them co-installable again. Will sync from Debian unstable as soon as packages are available.

rhertzog

2019-09-20 09:39

administrator   ~0011135

The latest scapy from Debian is now in Kali too and is again co-installable. Will be in kali-rolling in a couple of hours.

Issue History

Date Modified Username Field Change
2019-09-17 07:53 fl0 New Issue
2019-09-19 05:25 fl0 Note Added: 0011126
2019-09-19 09:14 sbrun Assigned To => rhertzog
2019-09-19 09:14 sbrun Status new => assigned
2019-09-19 14:33 rhertzog Note Added: 0011132
2019-09-20 09:39 rhertzog Status assigned => resolved
2019-09-20 09:39 rhertzog Resolution open => fixed
2019-09-20 09:39 rhertzog Fixed in Version => 2019.4
2019-09-20 09:39 rhertzog Note Added: 0011135